List payments

Query a list of payments, which includes payins, refunds, chargebacks, and ACH returns, given optional search criteria.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The unique identifier for a Payin, Refund, or Chargeback.

string

The unique deposit identifier.

Prefix is "dep" in production and "sbx_dep" in sandbox.

string

Optional merchant name by which to filter.

string
enum

Payment method type to filter by. Provide parameter multiple times to filter by multiple payment method types.

Allowed:
string
length between 1 and 50

Optional billing contact name by which to filter.

status
array of strings

One or more payment statuses to filter by. Provide parameter multiple times to filter by multiple payment status types. Some statuses are only valid for certain payment activity types.

ACH returns: CREATED

chargebacks: INQUIRY_ACTION_REQUIRED INQUIRY_PROCESSING DISPUTE_ACTION_REQUIRED CHARGEBACK_PROCESSING PROVISIONAL_WIN WON LOST PRE_ARBITRATION_PROCESSING ARBITRATION

payins: CANCELED CREATED FAILED IN_REVIEW PRESENTING PROCESSING SUCCEEDED

refunds: CANCELED CREATED FAILED IN_REVIEW PROCESSING SUCCEEDED

status
payment_type
array of strings

One or more payment types to filter by. Provide parameter multiples times to filter by multiple payment types.

ACH_RETURN CHARGEBACK PAYIN REFUND

payment_type
source
array of strings

One or more payment sources to filter by. Provide parameter multiple times to filter by multiple payment sources. Some sources are only valid for certain payment activity types.

ACH returns and chargebacks: SYSTEM

payins: API_DIRECT API_STORED_PAYMENT_METHOD COMPONENT DEVICE EXTERNAL IVR TAP_TO_PHONE

refunds: API_DIRECT COMPONENT EXTERNAL

source
string

Filter by metadata stored on the entity by passing a map of key-value pairs to filter on. The key should be valid JSONPath to a corresponding metadata key.

For example, an entity created with the following metadata

"account": {
  "id": "acct_123"
}

could have the following metadata filter to find entities with the metadata account id:

?metadata[$.account.id]=acct_123
date-time

Created on or after in UTC RFC 3339 format.

date-time

Created on or before in UTC RFC 3339 format.

date-time

Due on or after in UTC RFC 3339 format.

date-time

Due on or before in UTC RFC 3339 format.

date

Expected to be deposited on or after in UTC RFC 3339 format.

date

Expected to be deposited on or before in UTC RFC 3339 format.

string
enum

Optional value by which to sort the result set. Default sort by is created_at.

string
enum

Order in which to return the sorted results; ascending or descending. Default sort order is descending.

Allowed:
number
≤ 1000
Defaults to 1000

The maximum number of results to return.

number
≥ 0
Defaults to 0

The offset of the first result to return; zero-based.

boolean

The total_results field in the response will be set to -1. Allows for faster query results.

Headers
string
enum
Defaults to 2024-10-16
Allowed:
Responses

Language
Credentials
Bearer
APIKey
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json